#ifndef  _QV_ROTATION_
#define  _QV_ROTATION_

#include "QvSFRotation.h"
#include "QvSubNode.h"

#include <ge3d/vectors.h>

class QvRotation : public QvNode {

    QV_NODE_HEADER(QvRotation);

  public:
    // Fields
    QvSFRotation	rotation;	// Rotation

    // mpichler, 19950509
    const vector3D* axis_;              // rotation axis
    float angle_;                       // and angle (rad)
};

#endif /* _QV_ROTATION_ */
