#ifndef  _QV_CUBE_
#define  _QV_CUBE_

#include "QvSFFloat.h"
#include "QvSubNode.h"

#include <ge3d/vectors.h>

class QvCube : public QvNode {

    QV_NODE_HEADER(QvCube);

  public:
    // Fields
    QvSFFloat		width;		// Size in x dimension
    QvSFFloat		height;		// Size in y dimension
    QvSFFloat		depth;		// Size in z dimension

    // mpichler, 19950502
    point3D min_, max_;
};

#endif /* _QV_CUBE_ */
